Bug 510697 - ruby binding wait_ready segfault
ruby binding wait_ready segfault
Status: CLOSED CURRENTRELEASE
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-10 06:18 EDT by Marek Goldmann
Modified: 2010-03-16 13:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-22 10:27:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
libguestfs-properly-close-and-unregister.patch (1.32 KB, patch)
2009-07-10 06:56 EDT, Richard W.M. Jones
no flags Details | Diff

  None (edit)
Description Marek Goldmann 2009-07-10 06:18:06 EDT
I'm just creating a placeholder for this bug.

Description of problem:

While executing wait_ready in ruby bindings I get this stacktrace:

http://gist.github.com/144389

Version-Release number of selected component (if applicable):

[oddthesis@bolek-f11 ~]$ rpm -qa | grep libguestfs
libguestfs-1.0.54-2.fc11.x86_64
ocaml-libguestfs-1.0.54-2.fc11.x86_64
libguestfs-javadoc-1.0.54-2.fc11.x86_64
libguestfs-java-1.0.54-2.fc11.x86_64
python-libguestfs-1.0.54-2.fc11.x86_64
ruby-libguestfs-1.0.54-2.fc11.x86_64
libguestfs-java-devel-1.0.54-2.fc11.x86_64
libguestfs-devel-1.0.54-2.fc11.x86_64
libguestfs-debuginfo-1.0.51-1.fc11.x86_64
perl-libguestfs-1.0.54-2.fc11.x86_64
ocaml-libguestfs-devel-1.0.54-2.fc11.x86_64

How reproducible:

Not always. Now searching for an environment to reproduce, I'll update this bug if I'll have more information.

Steps to Reproduce:
1.
2.
3.
  
Actual results:

Error.

Expected results:

No error.

Additional info:
Comment 1 Richard W.M. Jones 2009-07-10 06:54:53 EDT
(In reply to comment #0)
> How reproducible:
> 
> Not always. Now searching for an environment to reproduce, I'll update this bug
> if I'll have more information.

Stack trace isn't really much use to us, but a short
ruby program which reproduces the bug would be.

If your program is repeatedly opening and closing guestfs
handles (from the same program), then there is a known bug
which causes segfaults, with a patch to fix it which I'll attach here.
Comment 2 Richard W.M. Jones 2009-07-10 06:56:21 EDT
Created attachment 351237 [details]
libguestfs-properly-close-and-unregister.patch

This is a patch, not yet applied upstream, which fixes
a bug where repeatedly opening and closing libguestfs
handles in a single program would sometimes cause a
segfault.
Comment 3 Marek Goldmann 2009-07-10 15:19:20 EDT
After quick testing I can say, that release 1.0.57 resolved my issue.
Comment 4 Richard W.M. Jones 2009-09-22 10:27:37 EDT
Reported as fixed.

Note You need to log in before you can comment on or make changes to this bug.